<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.163
Name: PatientPerson [universal]
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000">
   <title>PatientPerson [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']"
         id="tmp-r-ef6176ee-e812-46b7-850a-f986de4ef62b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PatientPerson-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(PatientPerson-universal): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']/@nullFlavor)">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'])&lt;=1">(PatientPerson-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(PatientPerson-universal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(PatientPerson-universal): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(PatientPerson-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(PatientPerson-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactParty)&lt;=1">(PatientPerson-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(PatientPerson-universal): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.163']"
         id="tmp-r-1fd4cbc6-b1c8-4015-aaaf-6a79f720759f">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.163')">(PatientPerson-universal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.163' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(PatientPerson-universal): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name"
         id="tmp-r-382e0284-8485-498a-9e01-fce51f68e5fd">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@use) or (string-length(@use)&gt;0 and not(matches(@use,'\s')))">(PatientPerson-universal): attribuut @use MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@use,' ') return if ($code=('OR','L')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(PatientPerson-universal): de waarde van use MOET 'code OR of code L' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:given)&lt;=1">(PatientPerson-universal): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(PatientPerson-universal): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:family)&lt;=1">(PatientPerson-universal): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:given
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:given"
         id="tmp-r-a815edeb-464a-4adf-9f93-0dc8a965c57b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:prefix
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:prefix"
         id="tmp-r-97391003-6f19-4613-90c3-5fc66867cd3b">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(PatientPerson-universal): 
                            <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:family
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:name/hl7:family"
         id="tmp-r-f4ba6c3b-fa16-4ef7-826d-2b83f2322715">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@qualifier)=('BR')">(PatientPerson-universal): de waarde van @qualifier MOET 'BR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@qualifier) or (string-length(@qualifier)&gt;0 and not(matches(@qualifier,'\s')))">(PatientPerson-universal): attribuut @qualifier MOET datatype 'cs' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-1e0353e3-e8b6-4fa7-8443-cc4828d8fc1d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientPerson-universal): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.23 W0023 Geslacht (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientPerson-universal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.23 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthTime"
         id="tmp-r-08800703-0d72-4e14-8ec7-32936a6997ff">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:multipleBirthInd
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:multipleBirthInd"
         id="tmp-r-c7435de3-8dde-43eb-ba5c-178936d2b36d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:multipleBirthOrderNumber
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:multipleBirthOrderNumber"
         id="tmp-r-ed61bf53-4ba9-4d04-a44c-3a10a0595368">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.POS"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(PatientPerson-universal): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="preceding-sibling::hl7:multipleBirthInd/@value='true'">(PatientPerson-universal): 
                        <name/> kan alleen een waarde hebben bij meerlingen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty"
         id="tmp-r-6d0cad51-c9e8-40bf-b0ab-df8d9f1860d1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(PatientPerson-universal): element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PatientPerson-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:contactPerson)&lt;=1">(PatientPerson-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:telecom
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:telecom"
         id="tmp-r-93d298c7-c16e-4c5f-9c14-f8e5fc7c622f">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime"
         id="tmp-r-afd89fb9-0658-42c8-9f3d-cc4282bb6285">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="hl7:low or hl7:high">(PatientPerson-universal): template-2.16.840.1.113883.2.4.6.10.100.163: low en/of high is verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PatientPerson-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PatientPerson-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PatientPerson-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PatientPerson-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-r-d0e20361-6184-4a33-a133-65b84839afe3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-r-efa83889-6b47-463e-aef0-55285fe428f0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (PatientPerson-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:contactPerson
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:contactPerson"
         id="tmp-r-c0e92f72-b85f-486d-8c8d-1b61c9c92a61">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(PatientPerson-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PatientPerson-universal): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(PatientPerson-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(PatientPerson-universal): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(PatientPerson-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(PatientPerson-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-r-5f824212-42b3-43fc-94ff-3a63fe9518c0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace"
         id="tmp-r-10880e34-bf95-4a05-8153-ee2b30d52add">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(PatientPerson-universal): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(PatientPerson-universal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr"
         id="tmp-r-ff023934-2bbb-4054-a1ab-025ccbde458d">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="hl7:county or hl7:country">(PatientPerson-universal): Tenminste geboorteplaats of geboorteland is verplicht</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:county)&lt;=1">(PatientPerson-universal): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="count(hl7:country)&lt;=1">(PatientPerson-universal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr/hl7:county
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr/hl7:county"
         id="tmp-r-3c751609-5fce-4efa-b575-b9876f5f754a">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(PatientPerson-universal): 
                                <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 Gemeenten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.163
Context: *[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr/hl7:country
Item: (PatientPerson-universal)
-->

   <rule context="*[hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']]/hl7:patientPerson[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']/hl7:birthPlace/hl7:addr/hl7:country"
         id="tmp-r-8421fc43-fde3-47a7-810f-59ba00dcd9c2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientPerson-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20150715T103238/tmp-2.16.840.1.113883.2.4.6.10.100.163-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(PatientPerson-universal): 
                                <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA tabel 34 Landen</assert>
   </rule>
</pattern>
